import request from '@/utils/request'

//获取患者押金列表=
export function getuserlist(params) {
  return request({
    url: '/api/his/getuserlist',
    method: 'get',
    params: params
  })
}

//获取病例中心，有效患者名称（去除了转出和死亡的）
export function gethisusertoalive(params) {
  return request({
    url: '/api/his/gethisusertoalive',
    method: 'get',
    params: params
  })
}

//获取病例中心，有效患者名称=
export function gethisuser(params) {
  return request({
    url: '/api/his/gethisuser',
    method: 'get',
    params: params
  })
}

//新增押金=
export function adddeposit(data) {
  return request({
    url: '/api/his/adddeposit',
    method: 'post',
    data: data
  })
}

//新增一条退款申请=
export function refundapplication(data) {
  return request({
    url: '/api/his/refundapplication',
    method: 'post',
    data: data
  })
}

//更改退款申请=
export function changerefund(data) {
  return request({
    url: '/api/his/changerefund',
    method: 'post',
    data: data
  })
}

//获取新增押金编号=
export function getdepositcode(params) {
  return request({
    url: '/api/his/getdepositcode',
    method: 'get',
    params: params
  })
}

//获取退款编号=
export function getdeletecode(params) {
  return request({
    url: '/api/his/getdeletecode',
    method: 'get',
    params: params
  })
}

//充值明细列表=
export function rechargedetails(params) {
  return request({
    url: '/api/his/rechargedetails',
    method: 'get',
    params: params
  })
}

//押金审核=
export function updeposit(params) {
  return request({
    url: '/api/his/updeposit',
    method: 'get',
    params: params
  })
}

//押金删除=
export function deletehistory(params) {
  return request({
    url: '/api/his/deletehistory',
    method: 'get',
    params: params
  })
}

//充值汇总列表=
export function rechargesummary(params) {
  return request({
    url: '/api/his/rechargesummary',
    method: 'get',
    params: params
  })
}

//根据患者id获取押金流水=
export function depositflow(params) {
  return request({
    url: '/api/his/depositflow',
    method: 'get',
    params: params
  })
}

//扣费明细查询=
export function deductiondetails(params) {
  return request({
    url: '/api/his/deductiondetails',
    method: 'get',
    params: params
  })
}

//扣费汇总=
export function desummary(params) {
  return request({
    url: '/api/his/desummary',
    method: 'get',
    params: params
  })
}

//根据患者id查询患者的余额=
export function idtobalance(params) {
  return request({
    url: '/api/his/idtobalance',
    method: 'get',
    params: params
  })
}

//退款审核通过/拒绝=
export function refundreview(params) {
  return request({
    url: '/api/his/refundreview',
    method: 'get',
    params: params
  })
}

//退款删除=
export function deleterefund(params) {
  return request({
    url: '/api/his/deleterefund',
    method: 'get',
    params: params
  })
}

//退款列表=
export function refundlist(params) {
  return request({
    url: '/api/his/refundlist',
    method: 'get',
    params: params
  })
}

//获取机构名称=
export function getorgname(params) {
  return request({
    url: '/api/his/getorgname',
    method: 'get',
    params: params
  })
}

//获取本周起止时间
export function getweektime(params) {
  return request({
    url: '/api/his/getweektime',
    method: 'get',
    params: params
  })
}

//获取本月起止时间
export function getmonthtime(params) {
  return request({
    url: '/api/his/getmonthtime',
    method: 'get',
    params: params
  })
}
